#include<iostream>
using namespace std;
int main ()
{
    long long L,m,n,br=0,sbor=0;
    cin>>L>>m>>n;
    for(int i=m;sbor<=L;i+=n)
    {
        sbor+=i;
        br++;
    }
    cout<<br;
    return 0;
}